#!/usr/bin/python
"""
Name:combinationgenerator.py
Date: 10-28-13
Author: Catherine Doyle

Description: Generates poteintial riboswitch sequences of a given aptamer sequence.The program takes an aptamer seqeuence. The program systematically generates all 262,144 combinations of 9bp sequence from the four nucleotides in RNA. Each sequence is inputted between the RBS and start codon of a riboswitch containing the inputted aptamer 5bp upstream of the RBS. Each riboswtich is printed to an output file. 
"""
import sys
import string
#User Inputs
aptfile = raw_input("Enter name of file containg aptamer sequence: ")# Asks the user to input the name of the file containing the aptamer sequence in FASTA format
aptfile= open(aptfile, "rU")# Opens file inputted by user 
aptseq = aptfile.read()# Reads the aptamer sequence in from a file
aptfile.close() # Close aptamer sequence file
# Intial Sequences
rbs = "aaggu" #Ribosome binding site sequence
fivebp = "cugcu" #Five base pair spacer sequence between the aptamer and RBS
startcodon = "aug" #Start codon sequence 
# Generate all iterations of the a 9 nucleotide sequence from the four nucelotides in RNA
bases= "AUGC"
switches =[]# Initalize a list of riboswitches
out = open("Riboswithces.txt", "w")# Opens a file for riboswitch sequences to be written to. 
# For each nucleotide in bases generate all possible iterations for a 9 nucleotide sequence
for a in bases:
    one = a
    for b in bases:
        two = one + b
        for c in bases:
            three = two + c
            for d in bases:
                four = three + d 
                for e in bases:
                    five = four + e
                    for f in bases:
                        six = five + f
                        for g in bases:
                            seven = six + g
                            for h in bases:
                                eight = seven + h
                                for k in bases:
                                    nine = eight + k
                                    switch = aptseq + fivebp + rbs + nine + startcodon # Add final iteration to the rest of the riboswitch
                                    out.write(switch + " ")# Write riboswitch sequence to the outputfile. 
out.close() # Close output file
