"""
Name: riboswitchgrabber.py
Date: 10-28-13
Author: Catherine Doyle
    
Description: Select riboswitches with a difference between the ON and OFF states is between 9.1-8.4 kcal/mol. Opens file containing riboswitches and free energy values with a difference in free energy less than the inputted free energy of the aptamer. Read the file and finds riboswitch sequences with delta g values between 9.1-8.4 kcal/mol and writes the to a outputfile.
"""
#!/usr/bin/python
import sys
import string
import os
import subprocess
# Open files
infile = open("results12-9-13.txt", "r")# Open file containing riboswitches and free energy values with difference in free energy less than the inputted free energy of the apatmer  
infile = infile.readlines()# Reads lines in inputfile
infile.close()
outfile = open("range.txt", "w")# Opens output file
# Select riboswitches that difference between ON and OFF states is between 9.1-8.4 kcal/mol
for line in infile:
    if ("-22.1" ) in line:
        go.write(line) 
    elif ("-22.2") in line:
        go.write(line)
    elif ("-22.3") in line:
        go.write(line)
outfile.close()